package lsedit;

import java.awt.Dimension;
import java.awt.Container;
import java.awt.Font;
import java.awt.Event;
import java.awt.event.KeyEvent;
import java.net.*;
import java.io.*;
import java.util.*;
import javax.swing.*;

public class LandscapeViewer extends JApplet {
	/* Implements the browser version of the editor */

	LandscapeViewerCore	m_ls;

	protected void genMenuButtons(LandscapeViewerCore ls) 
	{
		JMenuBar mb = new JMenuBar();

		MyMenuItem mi;

		// Build Menu

		JMenu m = new JMenu("Menu");
		Do.refreshMenuItem(m, ls);
		m.addSeparator();
		Do.findMenuItem(m, ls);
		m.addSeparator();
		m_ls.bestEdgeMenuItem(m, ls);
		m.addSeparator();
		m_ls.showMenuItem(m, ls);
		m.addSeparator();
		mb.add(m);

		m = new JMenu("Help");
		Do.helpMenuItem(m, ls, "Viewer");
		mb.add(m);
		setJMenuBar(mb);
	}

	public void init() 
	{
		Container contentPane;

		m_ls = new LandscapeViewerCore();

		genMenuButtons(m_ls);
		m_ls.init_app(null, this, null);

		contentPane = getContentPane();
		contentPane.add(m_ls);

		/* Obtain the arguments (passed as applet tag params) */

		m_ls.lsPath = getParameter("lsfile");

		System.out.println(m_ls.lsPath);

		int num = 0;

		for (;;) {
			String f = getParameter("lsfile_bg" + num);

			if (f == null || f.length() == 0)
				break;

			System.out.println(f);

			m_ls.lsPath_bg.addElement(f);
			num++;
		}
		
		m_ls.editURL	= getParameter("editlink");
		m_ls.aboutURL	= getParameter("toolabout");
		m_ls.helpURL	= getParameter("toolhelp");

		m_ls.startEntity = getParameter("startEntity");

		String vf	= getParameter("verbose");
		String df	= getParameter("debug");

		MsgOut.setVerboseFlag(vf != null && vf.equals("true"));
		MsgOut.setDebugFlag(df != null && df.equals("true"));

		MsgOut.dprintln("Startup Landscape Viewer");

		super.init();
		setVisible(true);
	}
}
